bric_queued - Bricolage jobs queue daemon bric_queud [options] bric_queued runs as a daemon that polls a Bricolage jobs queue and executes any unexecuted jobs with current or past scheduled times. Normally, (see "-s") it executes all of the jobs found in a given poll in order of their scheduled times with distribution and publish jobs handled by seperate sub-processes--since distribution is normally an order of magnitude faster than publishing. In cases where the program finds no jobs in the queue it will wait a specified amount of time (defaulting to 30 seconds) and then re-poll. Note: Unlike bric_dist_mon, bric_queued is a stand-alone program that makes no HTTP requests to the Bricolage Apache/mod_perl server. This allows it to to publish and distribute resources in its own process without bogging down the Apache/mod_perl server and therefore its UI.

--username
The username to use for the distribution.

--password
The password for the user specified by the "--username" option.

-p <file> | --pid <file>
Specifies a pid file.

-d <number> | --delay <number>
Specifies a delay in seconds after finding the queue empty.

-s [type] | --single [type]
Run a single job of "type" where "type" is one of 'pub' or 'dist'. Implies -verbose.

-v | --verbose
Turn on verbose mode for debugging.

-l <file> | --log <file>
Specifies a file to which to send debugging information. There is no need to use this option for normal operation since Bricolage stores this information in its database in much greater detail.

-h | --help
Print usage information and exit.

$BRICOLAGE_ROOT
Set this environment variable as usual to indicate where to find the Bricolage libraries.

Perl Modules
Mark Jaroski <jaroskim@who.int>